Bug 170543 - security/gnupg does not build in my tinderbox
security/gnupg does not build in my tinderbox
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 21:10 UTC by rainer
Modified: 2012-12-27 14:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rainer 2012-08-11 21:10:03 UTC
building gnupg-2.0.19_1 in directory /usr/local/tinderbox/9.0-amd64-current-clamav
build started at Fri Aug 10 22:04:55 UTC 2012
port directory: /usr/ports/security/gnupg
building for:  9.0-RELEASE-p3 amd64
maintained by: kuriyama@FreeBSD.org
Makefile ident: $FreeBSD: ports/security/gnupg/Makefile,v 1.145 2012/08/05 09:41:57 kuriyama Exp $
prefixes: LOCALBASE=usr/local PREFIX=/usr/local
Begin Configuration:
---Begin Environment---
INDEXFILE=INDEX-9
PORT_DBDIR=/var/db/ports
ARCH=amd64
PORTOBJFORMAT=elf
X_WINDOW_SYSTEM=xorg
PAGER=more
DISTFILE_URI=
APACHE_PORT=www/apache22-worker-mpm
TIMEOUT=7200
CCACHE_ENABLED=1
FTP_PASSIVE_MODE=yes
NOPORTDOCS=yes
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/ 
OPTIONS_ENABLED=1
WITHOUT_X=yes
LOADER_BZIP2_SUPPORT=yes
SUEXEC_GIDMIN=80
__MKLVL__=1
LOADER_TFTP_SUPPORT=yes
DISTCACHE=/distcache
PATH=/opt:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
pb=/usr/local/tinderbox
HTTP_TIMEOUT=900
PACKAGES=/tmp/packages
LOG_DIRECTORY=
HAVE_MOTIF=1
PKGSUFFIX=.tbz
BATCH=1
FD_SETSIZE=16384U
__DSVERSION__=3.3
OSREL=9.0
CCACHE_DIR=/ccache
LOG_COMPRESSLOGS=0
defaultUpdateType=CSUP
OLDPWD=/
DISTFILE_CACHE=10.168.63.150:/lowiopool/tinderbox-distfilecache
USA_RESIDENT=YES
WRKDIRPREFIX=/work
BRANCH=RELEASE-p3
defaultUpdateHost=localhost
PWD=/usr/ports/security/gnupg
HOST_WORKDIR=
OPTIONS_DIR=/options
WITHOUT_X11=yes
DEFAULT_PHP_VER=53
PKGZIPCMD=bzip2
USER=root
INSTALL_NODEBUG=yes
DISTDIR=/tmp/distfiles
HOME=/root
CCACHE_JAIL=0
WITH_UTF8=yes
LOG_DOCOPY=0
A4=yes
CCACHE_MAX_SIZE=10G
SUEXEC_UIDMIN=80
CCACHE_NOLINK=1
TINDERD_SLEEPTIME=120
UNAME_n=tinderbox.host
FTP_TIMEOUT=900
TINDERD_LOGFILE=/dev/null
PARALLEL_PACKAGE_BUILD=1
DEFAULT_MYSQL_VER=55
CCACHE_LOGFILE=
UNAME_r=9.0-RELEASE-p3
LOCALBASE=/usr/local
UNAME_s=FreeBSD
PACKAGE_BUILDING=1
NO_PROFILE=true
NET_SNMP_SYS_LOCATION=eSpace
PERL_VERSION=5.12.4
SUEXEC_DOCROOT=/home
OSVERSION=900044
UNAME_v=FreeBSD 9.0-RELEASE-p3 #0: Fri Aug 10 23:51:48 CEST 2012    root@tinderbox.host:/usr/src/sys/magic/kernel/path
BLOCKSIZE=K
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for gnupg-2.0.19_1:
     PINENTRY=off: Use pinentry
     LDAP=off: LDAP keyserver interface
     SCDAEMON=off: Enable Smartcard daemon (with libusb)
     CURL=on: Use the real curl library (worked around if no)
     GPGSM=off: Enable GPGSM (requires LDAP)
     KDNS=off: Use DNS CERT helper
     STD_SOCKET=off: Use standard socket for agent
     NLS=on: Native Language Support via gettext
===> Use 'make config' to modify these settings
---End OPTIONS List---

---Begin OPTIONS configuration---
# This file is auto-generated by 'make config'.
# Options for gnupg-2.0.19_1
_OPTIONS_READ=gnupg-2.0.19_1
_FILE_COMPLETE_OPTIONS_LIST= PINENTRY LDAP SCDAEMON CURL GPGSM KDNS STD_SOCKET NLS
OPTIONS_FILE_UNSET+=PINENTRY
OPTIONS_FILE_UNSET+=LDAP
OPTIONS_FILE_UNSET+=SCDAEMON
OPTIONS_FILE_SET+=CURL
OPTIONS_FILE_UNSET+=GPGSM
OPTIONS_FILE_UNSET+=KDNS
OPTIONS_FILE_UNSET+=STD_SOCKET
OPTIONS_FILE_SET+=NLS
---End OPTIONS configuration---

..
very long build log
...


PKG_PREFIX=/usr/local /bin/sh /a/ports/security/gnupg/pkg-install gnupg-2.0.19_1 POST-INSTALL
###############################################################################
				A T T E N T I O N

In order to use gpg-agent, you need to install a pinentry dialog.

The following ports of pinentry dialogs are available:

security/pinentry-curses	(ncurses based dialog)
security/pinentry-gtk		(GTK 1.2 based dialog)
security/pinentry-gtk2		(GTK 2.x based dialog)
security/pinentry-qt		(QT3 based dialog)
security/pinentry-q4		(QT4 based dialog)

###############################################################################
===>   Running ldconfig
/sbin/ldconfig -m /usr/local/lib
===>   Registering installation for gnupg-2.0.19_1
===> SECURITY REPORT: 
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.
/usr/local/bin/watchgnupg

      If there are vulnerabilities in these programs there may be a security
      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.

      For more information, and contact details about the security
      status of this software, see the following webpage: 
http://www.gnupg.org/
================================================================
====================<phase 7: make package>====================
===>  Building package for gnupg-2.0.19_1
tar: share/gnupg/com-certs.pem: Cannot stat: No such file or directory
tar: share/gnupg/help.be.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.ca.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.cs.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.da.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.de.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.el.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.eo.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.es.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.et.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.fi.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.fr.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.gl.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.hu.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.id.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.it.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.ja.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.nb.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.pl.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.pt.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.pt_BR.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.ro.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.ru.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.sk.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.sv.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.tr.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.zh_CN.txt: Cannot stat: No such file or directory
tar: share/gnupg/help.zh_TW.txt: Cannot stat: No such file or directory
tar: share/gnupg/qualified.txt: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
*** Error code 1

Stop in /a/ports/security/gnupg.
Deleting gnupg-2.0.19_1
pkg_delete: file '/usr/local/share/gnupg/com-certs.pem' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.be.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.ca.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.cs.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.da.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.de.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.el.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.eo.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.es.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.et.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.fi.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.fr.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.gl.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.hu.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.id.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.it.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.ja.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.nb.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.pl.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.pt.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.pt_BR.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.ro.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.ru.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.sk.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.sv.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.tr.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.zh_CN.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/help.zh_TW.txt' doesn't exist
pkg_delete: file '/usr/local/share/gnupg/qualified.txt' doesn't exist
pkg_delete: couldn't entirely delete package `gnupg-2.0.19_1'
(perhaps the packing list is incorrectly specified?)

=== Checking filesystem state
Deleting libksba-1.2.0
Deleting libgcrypt-1.5.0
Deleting libassuan-2.0.2
Deleting gmake-3.82
Deleting libgpg-error-1.10
Deleting pth-2.0.7
Deleting gettext-0.18.1.1
Deleting libiconv-1.14

=== Checking filesystem state after all packages deleted
================================================================
build of /usr/ports/security/gnupg ended at Fri Aug 10 22:05:54 UTC 2012

How-To-Repeat: I suspect it's 
NOPORTDOCS=yes
Comment 1 Edwin Groothuis freebsd_committer 2012-08-11 21:10:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-12-27 14:04:26 UTC
Author: kuriyama
Date: Thu Dec 27 14:04:17 2012
New Revision: 309542
URL: http://svnweb.freebsd.org/changeset/ports/309542

Log:
  - Fix with NOPORTDOCS=yes [1,2]
  - Fix CURL option handled incorrectly [3,4]
  
  PR:		ports/170543 [1], ports/171848 [2], ports/171370 [3], ports/174075 [4]
  Submitted by:	Rainer Duffner <rainer@ultra-secure.de> [1], Konstantinos Koukopoulos <koukopoulos@gmail.com> [2], John Marshall <john.marshall@riverwillow.com.au> [3], Phil Pennock <phil.pennock@globnix.org> [4]

Modified:
  head/security/gnupg/Makefile
  head/security/gnupg/pkg-plist

Modified: head/security/gnupg/Makefile
==============================================================================
--- head/security/gnupg/Makefile	Thu Dec 27 13:57:57 2012	(r309541)
+++ head/security/gnupg/Makefile	Thu Dec 27 14:04:17 2012	(r309542)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	gnupg
-# Date created:		Sep 30, 1998
-# Whom:			kuriyama@FreeBSD.org
-#
 # $FreeBSD$
-#
 
 PORTNAME=	gnupg
 PORTVERSION=	2.0.19
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GNUPG}
 MASTER_SITE_SUBDIR=	gnupg
@@ -112,10 +107,10 @@ PLIST_SUB+=	SCDAEMON="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MCURL}
-CONFIGURE_ARGS+=--without-libcurl
-.else
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=--with-libcurl=${LOCALBASE}
+.else
+CONFIGURE_ARGS+=--without-libcurl
 .endif
 
 verify:	checksum

Modified: head/security/gnupg/pkg-plist
==============================================================================
--- head/security/gnupg/pkg-plist	Thu Dec 27 13:57:57 2012	(r309541)
+++ head/security/gnupg/pkg-plist	Thu Dec 27 14:04:17 2012	(r309542)
@@ -34,37 +34,37 @@ sbin/applygnupgdefaults
 %%PORTDOCS%%%%DOCSDIR%%/examples/pwpattern.list
 %%PORTDOCS%%%%DOCSDIR%%/examples/scd-event
 %%PORTDOCS%%%%DOCSDIR%%/examples/trustlist.txt
-%%PORTDATA%%%%DATADIR%%/com-certs.pem
+%%PORTDOCS%%%%DATADIR%%/com-certs.pem
 %%DATADIR%%/gpg-conf.skel
-%%PORTDATA%%%%DATADIR%%/help.be.txt
-%%PORTDATA%%%%DATADIR%%/help.ca.txt
-%%PORTDATA%%%%DATADIR%%/help.cs.txt
-%%PORTDATA%%%%DATADIR%%/help.da.txt
-%%PORTDATA%%%%DATADIR%%/help.de.txt
-%%PORTDATA%%%%DATADIR%%/help.el.txt
-%%PORTDATA%%%%DATADIR%%/help.eo.txt
-%%PORTDATA%%%%DATADIR%%/help.es.txt
-%%PORTDATA%%%%DATADIR%%/help.et.txt
-%%PORTDATA%%%%DATADIR%%/help.fi.txt
-%%PORTDATA%%%%DATADIR%%/help.fr.txt
-%%PORTDATA%%%%DATADIR%%/help.gl.txt
-%%PORTDATA%%%%DATADIR%%/help.hu.txt
-%%PORTDATA%%%%DATADIR%%/help.id.txt
-%%PORTDATA%%%%DATADIR%%/help.it.txt
-%%PORTDATA%%%%DATADIR%%/help.ja.txt
-%%PORTDATA%%%%DATADIR%%/help.nb.txt
-%%PORTDATA%%%%DATADIR%%/help.pl.txt
-%%PORTDATA%%%%DATADIR%%/help.pt.txt
-%%PORTDATA%%%%DATADIR%%/help.pt_BR.txt
-%%PORTDATA%%%%DATADIR%%/help.ro.txt
-%%PORTDATA%%%%DATADIR%%/help.ru.txt
-%%PORTDATA%%%%DATADIR%%/help.sk.txt
-%%PORTDATA%%%%DATADIR%%/help.sv.txt
-%%PORTDATA%%%%DATADIR%%/help.tr.txt
-%%PORTDATA%%%%DATADIR%%/help.txt
-%%PORTDATA%%%%DATADIR%%/help.zh_CN.txt
-%%PORTDATA%%%%DATADIR%%/help.zh_TW.txt
-%%PORTDATA%%%%DATADIR%%/qualified.txt
+%%PORTDOCS%%%%DATADIR%%/help.be.txt
+%%PORTDOCS%%%%DATADIR%%/help.ca.txt
+%%PORTDOCS%%%%DATADIR%%/help.cs.txt
+%%PORTDOCS%%%%DATADIR%%/help.da.txt
+%%PORTDOCS%%%%DATADIR%%/help.de.txt
+%%PORTDOCS%%%%DATADIR%%/help.el.txt
+%%PORTDOCS%%%%DATADIR%%/help.eo.txt
+%%PORTDOCS%%%%DATADIR%%/help.es.txt
+%%PORTDOCS%%%%DATADIR%%/help.et.txt
+%%PORTDOCS%%%%DATADIR%%/help.fi.txt
+%%PORTDOCS%%%%DATADIR%%/help.fr.txt
+%%PORTDOCS%%%%DATADIR%%/help.gl.txt
+%%PORTDOCS%%%%DATADIR%%/help.hu.txt
+%%PORTDOCS%%%%DATADIR%%/help.id.txt
+%%PORTDOCS%%%%DATADIR%%/help.it.txt
+%%PORTDOCS%%%%DATADIR%%/help.ja.txt
+%%PORTDOCS%%%%DATADIR%%/help.nb.txt
+%%PORTDOCS%%%%DATADIR%%/help.pl.txt
+%%PORTDOCS%%%%DATADIR%%/help.pt.txt
+%%PORTDOCS%%%%DATADIR%%/help.pt_BR.txt
+%%PORTDOCS%%%%DATADIR%%/help.ro.txt
+%%PORTDOCS%%%%DATADIR%%/help.ru.txt
+%%PORTDOCS%%%%DATADIR%%/help.sk.txt
+%%PORTDOCS%%%%DATADIR%%/help.sv.txt
+%%PORTDOCS%%%%DATADIR%%/help.tr.txt
+%%PORTDOCS%%%%DATADIR%%/help.txt
+%%PORTDOCS%%%%DATADIR%%/help.zh_CN.txt
+%%PORTDOCS%%%%DATADIR%%/help.zh_TW.txt
+%%PORTDOCS%%%%DATADIR%%/qualified.txt
 %%NLS%%share/locale/be/LC_MESSAGES/gnupg2.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/gnupg2.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/gnupg2.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jun Kuriyama freebsd_committer 2012-12-27 14:04:27 UTC
State Changed
From-To: open->closed

Fixed, thanks!